Subject: Re: [PATCH ] net_sched: actions - Add default lookup

From: Jamal Hadi Salim <[email-masked]>
Date: Sun, 17 Nov 2013 10:46:10 -0500

On 11/03/13 23:17, David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Sun, 03 Nov 2013 23:12:32 -0500 (EST)
>
>> Right, and BUG() if we try to register and action with a NULL .lookup
>> member.
>
> I return an error, BUG() is too harsh.
>

Sorry - I was distracted, but have time now.
I wanted to fix this then send the other patches - but confused.
We are setting the default if someone registers an action with
a NULL .lookup. Why do we want to return an error?

cheers,
jamal